JBoss API: Interface UserTransactionSession

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.usertx.interfaces
Interface UserTransactionSession

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  UserTransactionSessionImpl

public interface UserTransactionSession
extends java.rmi.Remote

The RMI remote UserTransaction session interface.

Version:
  $Revision: 1.1 $
Author:
  Ole Husgaard

Method Summary
`java.lang.Object` | `begin(int timeout)` Start a new transaction, and return its TPC.
`void` | `commit(java.lang.Object tpc)` Commit the transaction.
`void` | `destroy()` Destroy this session.
`int` | `getStatus(java.lang.Object tpc)` Return status of the transaction.
`void` | `rollback(java.lang.Object tpc)` Rollback the transaction.
`void` | `setRollbackOnly(java.lang.Object tpc)` Mark the transaction for rollback only.

Method Detail

### destroy

    public void destroy()
                 throws java.rmi.RemoteException

  Destroy this session.

### begin

    public java.lang.Object begin(int timeout)
                           throws java.rmi.RemoteException,
                                  javax.transaction.NotSupportedException,
                                  javax.transaction.SystemException

  Start a new transaction, and return its TPC.
  Parameters:
    `timeout` - The timeout value for the new transaction, in seconds.
  Returns:
    The transaction propagation context for the new transaction.

### commit

    public void commit(java.lang.Object tpc)
                throws java.rmi.RemoteException,
                       javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.SecurityException,
                       java.lang.IllegalStateException,
                       javax.transaction.SystemException

  Commit the transaction.
  Parameters:
    `tpc` - The transaction propagation context for the transaction.

### rollback

    public void rollback(java.lang.Object tpc)
                  throws java.rmi.RemoteException,
                         java.lang.SecurityException,
                         java.lang.IllegalStateException,
                         javax.transaction.SystemException

  Rollback the transaction.
  Parameters:
    `tpc` - The transaction propagation context for the transaction.

### setRollbackOnly

    public void setRollbackOnly(java.lang.Object tpc)
                         throws java.rmi.RemoteException,
                                java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Mark the transaction for rollback only.
  Parameters:
    `tpc` - The transaction propagation context for the transaction.

### getStatus

    public int getStatus(java.lang.Object tpc)
                  throws java.rmi.RemoteException,
                         javax.transaction.SystemException

  Return status of the transaction.
  Parameters:
    `tpc` - The transaction propagation context for the transaction.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.